'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _babelMacros = require('babel-macros');

var _ms = require('ms');

var _ms2 = _interopRequireDefault(_ms);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = (0, _babelMacros.createMacro)(({ babel: { types: t }, references: { default: paths } }) => {
  paths.forEach(({ parentPath }) => {
    let value = null;
    if (parentPath.type === 'CallExpression') {
      value = parentPath.node.arguments[0].value;
    } else if (parentPath.type === 'TaggedTemplateExpression') {
      value = parentPath.node.quasi.quasis[0].value.cooked;
    }
    if (value) {
      const newValue = (0, _ms2.default)(value);
      if (newValue) {
        parentPath.replaceWith(t.numericLiteral(newValue));
      } else {
        const line = parentPath.node.loc.start.line;

        throw new _babelMacros.MacroError(`Invalid input given to ms.macro at line ${line}`);
      }
    }
  });
});
module.exports = exports['default'];